UbuntuUpdates.org

Package "pgpool2"

Name: pgpool2

Description:

connection pool server and replication proxy for PostgreSQL

Latest version: 3.1.1-1
Release: precise (12.04)
Level: base
Repository: universe
Homepage: http://www.pgpool.net/mediawiki/index.php/Main_Page

Links


Download "pgpool2"


Other versions of "pgpool2" in Precise

Repository Area Version
PPA: Postgresql 3.6.2-1.pgdg12.4+1
PPA: Postgresql 4.0.4-1.pgdg14.04+1
PPA: Postgresql 4.1.4-3.pgdg16.04+1
PPA: Postgresql 4.1.4-6.pgdg18.04+1
PPA: Postgresql 4.1.4-6.pgdg20.04+1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: *DELETED* 2012-03-06 10:49:54 UTC
No changelog for deleted or moved packages.

Version: 3.1.1-1 2012-01-03 07:02:56 UTC

pgpool2 (3.1.1-1) unstable; urgency=low

  * New upstream release. Closes: #646116.
    Change the lock method of insert_lock. The previous insert_lock uses row
    locking against the sequence relation, but the current one uses row
    locking against pgpool_catalog.insert_lock table. The reason is that
    PostgreSQL core developers decided to disallow row locking against the
    sequence relation to avoid an internal error which it leads. So creating
    insert_lock table in all databases which are accessed via pgpool-II
    beforehand is required. If does not exist insert_lock table, pgpool-II
    locks the insert target table. This behavior is same as pgpool-II 2.2 and
    2.3 series.
  * Build pgpool-recovery pgpool-regclass pgpool-walrecrunning server modules.
    Closes: #630465.
  * Build pgpool_adm server module.
  * Split libpcp.so into a separate package.
    There is already another libpcp in Debian, libpcp3/libpcp3-dev, therefore
    we call our packages libpgpool0/libpgpool-dev. We have a file conflict
    with /usr/lib/libpcp.{a,so}, so libpgpool-dev conflicts with libpcp3-dev.
    As they are already at SONAME 3 while we are at 0, the other package will
    not problems with our files in /usr/lib. (The alternative solution of
    putting libpcp.so.* in /usr/lib/pgpool2 would require setting RPATH in
    several places, which was both unsupported by the current build system
    (despite the documentation claiming otherwise) and also pretty ugly.)

 -- Christoph Berg Thu, 22 Dec 2011 18:40:04 +0100

Source diff to previous version
646116 pgpool2: PostgreSQL core developers decided to disallow row locking gainst the sequence relation ** Please type your report below this line *** - Debi
630465 Please build or include sql/pgpool-{recovery,regclass,walrecrunning} - Debian Bug report logs

Version: 3.0.4-1 2011-12-18 16:47:16 UTC

pgpool2 (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Use format 3.0 (quilt).

 -- Christoph Berg Fri, 10 Jun 2011 10:18:29 +0200


Version: *DELETED* 2011-12-18 14:34:50 UTC
No changelog for deleted or moved packages.



About   -   Send Feedback to @ubuntu_updates